package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * bs_mer_ledger
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsMerLedger implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 商户id
     */
    private Long merId;

    /**
     * 商户名称
     */
    private String merName;

    /**
     * 平台
     */
    private Integer platformType;

    /**
     * 平台商户号
     */
    private String platformNo;

    /**
     * 银联商户号
     */
    private String cupNo;

    /**
     * 接收编号
     */
    private String receiverNo;

    /**
     * 接收状态 0：不可用   1：可用
     */
    private Boolean receiverStatus;

    /**
     * 最低分账比例
     */
    private BigDecimal splitLowestRatio;

    /**
     * 分账结算委托书文件名称
     */
    private String splitEntrustFileName;

    /**
     * 分账结算委托书文件路径
     */
    private String splitEntrustFilePath;

    /**
     * 状态 0：不可用  1：可用   2：审核中  3：审核驳回
     */
    private Integer status;

    /**
     * 驳回原因
     */
    private String rejectReason;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public String getMerName() {
        return merName;
    }

    public void setMerName(String merName) {
        this.merName = merName;
    }

    public Integer getPlatformType() {
        return platformType;
    }

    public void setPlatformType(Integer platformType) {
        this.platformType = platformType;
    }

    public String getPlatformNo() {
        return platformNo;
    }

    public void setPlatformNo(String platformNo) {
        this.platformNo = platformNo;
    }

    public String getCupNo() {
        return cupNo;
    }

    public void setCupNo(String cupNo) {
        this.cupNo = cupNo;
    }

    public String getReceiverNo() {
        return receiverNo;
    }

    public void setReceiverNo(String receiverNo) {
        this.receiverNo = receiverNo;
    }

    public Boolean getReceiverStatus() {
        return receiverStatus;
    }

    public void setReceiverStatus(Boolean receiverStatus) {
        this.receiverStatus = receiverStatus;
    }

    public BigDecimal getSplitLowestRatio() {
        return splitLowestRatio;
    }

    public void setSplitLowestRatio(BigDecimal splitLowestRatio) {
        this.splitLowestRatio = splitLowestRatio;
    }

    public String getSplitEntrustFileName() {
        return splitEntrustFileName;
    }

    public void setSplitEntrustFileName(String splitEntrustFileName) {
        this.splitEntrustFileName = splitEntrustFileName;
    }

    public String getSplitEntrustFilePath() {
        return splitEntrustFilePath;
    }

    public void setSplitEntrustFilePath(String splitEntrustFilePath) {
        this.splitEntrustFilePath = splitEntrustFilePath;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRejectReason() {
        return rejectReason;
    }

    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsMerLedger other = (BsMerLedger) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getMerId() == null ? other.getMerId() == null : this.getMerId().equals(other.getMerId()))
            && (this.getMerName() == null ? other.getMerName() == null : this.getMerName().equals(other.getMerName()))
            && (this.getPlatformType() == null ? other.getPlatformType() == null : this.getPlatformType().equals(other.getPlatformType()))
            && (this.getPlatformNo() == null ? other.getPlatformNo() == null : this.getPlatformNo().equals(other.getPlatformNo()))
            && (this.getCupNo() == null ? other.getCupNo() == null : this.getCupNo().equals(other.getCupNo()))
            && (this.getReceiverNo() == null ? other.getReceiverNo() == null : this.getReceiverNo().equals(other.getReceiverNo()))
            && (this.getReceiverStatus() == null ? other.getReceiverStatus() == null : this.getReceiverStatus().equals(other.getReceiverStatus()))
            && (this.getSplitLowestRatio() == null ? other.getSplitLowestRatio() == null : this.getSplitLowestRatio().equals(other.getSplitLowestRatio()))
            && (this.getSplitEntrustFileName() == null ? other.getSplitEntrustFileName() == null : this.getSplitEntrustFileName().equals(other.getSplitEntrustFileName()))
            && (this.getSplitEntrustFilePath() == null ? other.getSplitEntrustFilePath() == null : this.getSplitEntrustFilePath().equals(other.getSplitEntrustFilePath()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getRejectReason() == null ? other.getRejectReason() == null : this.getRejectReason().equals(other.getRejectReason()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMerId() == null) ? 0 : getMerId().hashCode());
        result = prime * result + ((getMerName() == null) ? 0 : getMerName().hashCode());
        result = prime * result + ((getPlatformType() == null) ? 0 : getPlatformType().hashCode());
        result = prime * result + ((getPlatformNo() == null) ? 0 : getPlatformNo().hashCode());
        result = prime * result + ((getCupNo() == null) ? 0 : getCupNo().hashCode());
        result = prime * result + ((getReceiverNo() == null) ? 0 : getReceiverNo().hashCode());
        result = prime * result + ((getReceiverStatus() == null) ? 0 : getReceiverStatus().hashCode());
        result = prime * result + ((getSplitLowestRatio() == null) ? 0 : getSplitLowestRatio().hashCode());
        result = prime * result + ((getSplitEntrustFileName() == null) ? 0 : getSplitEntrustFileName().hashCode());
        result = prime * result + ((getSplitEntrustFilePath() == null) ? 0 : getSplitEntrustFilePath().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getRejectReason() == null) ? 0 : getRejectReason().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", merId=").append(merId);
        sb.append(", merName=").append(merName);
        sb.append(", platformType=").append(platformType);
        sb.append(", platformNo=").append(platformNo);
        sb.append(", cupNo=").append(cupNo);
        sb.append(", receiverNo=").append(receiverNo);
        sb.append(", receiverStatus=").append(receiverStatus);
        sb.append(", splitLowestRatio=").append(splitLowestRatio);
        sb.append(", splitEntrustFileName=").append(splitEntrustFileName);
        sb.append(", splitEntrustFilePath=").append(splitEntrustFilePath);
        sb.append(", status=").append(status);
        sb.append(", rejectReason=").append(rejectReason);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}